/**
 * Align
 */
.align-center {
  text-align: center !important;
}

.align-left {
  text-align: left !important;
}

.align-right {
  text-align: right !important;
}

/**
 * End align
 */

/**
 * Padding style
 */

.pr-25px {
  padding-right: 25px;
}

.pt-0px {
  padding-top: 0px;
}

.pl-15px {
  padding-left: 15px;
}

.pr-15px {
  padding-right: 15px;
}

.p-0px {
  padding: 0px;
}

.pb-15px {
  padding-bottom: 15px;
}

.pl-0px {
  padding-left: 0px;
}

.pr-0px {
  padding-right: 0px;
}

/**
 * End padding style
 */

/**
 * Margin style
 */

.mt-5px {
  margin-top: 5px;
}

.mt-15px {
  margin-top: 15px;
}

.mb-0px {
  margin-bottom: 0px;
}

.mb-30px {
  margin-bottom: 30px;
}

/**
 * End margin style
 */

/* Carousel */

.carousel-indicator-custom li {
  box-sizing: content-box;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  width: 30px;
  height: 3px;
  margin-right: 3px;
  margin-left: 3px;
  text-indent: -999px;
  cursor: pointer;
  background-color: #000000;
  background-clip: padding-box;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  opacity: 0.5;
  transition: opacity 0.6s ease;
}
.carousel-control-prev-icon,
.carousel-control-next-icon {
  height: 100px;
  width: 100px;
  outline: black;
  background-size: 100%, 100%;
  border-radius: 50%;
  border: 1px solid black;
  background-image: none;
}

.carousel-control-next-icon:after {
  content: ">";
  font-size: 55px;
  color: black;
}

.carousel-control-prev-icon:after {
  content: "<";
  font-size: 55px;
  color: black;
}

/* end Of Carousel */

/**
 * Template
 */

.fs-12px {
  font-size: 12px;
}

.i-checks {
  font-size: 12px;
  margin-bottom: 0px;
}

.tittle-header {
  padding-bottom: 15px;
  margin-top: 15px;
  color: #000000;
  margin-bottom: 15px;
  width: 100%;
  border-bottom: 1px solid #dddddd;
}

.pagination {
  font-size: 12px;
}

.ui-select-bootstrap .ui-select-match .btn-default {
  font-size: 0.8rem;
  text-transform: lowercase;
  background: #20a8d8;
  color: white;
}

.ui-select-multiple.ui-select-bootstrap input.ui-select-search {
  display: block;
  width: 100% !important;
  font-size: 0.8rem !important;
  margin: 0.5rem 0rem;
}

.ui-select-toggle {
  padding-top: 5px;
}

.ui-select-bootstrap .ui-select-choices-row > span {
  font-size: 12px;
}

.ui-select-search {
  font-size: 12px;
  height: 28px;
}

.sidebar .nav-item a {
  font-size: 12px;
}

.angka {
  text-align: center;
}

.badge-table {
  font-size: 11px;
}

.input-group-sm {
  height: 28px;
}

.input-group-sm .input-group-text {
  font-size: 11px;
}

.rp {
  text-align: right;
}

.required::after {
  content: "*";
  color: red;
}

.steps-indicator li.current a:before {
  background-color: #31b5f5 !important;
}

.app-header.navbar .navbar-brand {
  padding: 0px;
  padding-right: 0px;
  position: relative;
  font-size: 20px;
  border-bottom: none;
  background-color: #ffff;
  width: 200px;
  text-align: center;
}

.px-3 {
  font-size: 13px;
}

.navbar-brand {
  margin-top: 5px;
}

.navbar-brand-text {
  margin-top: 8px;
}

.img-brand {
  height: auto;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}
.img-produk {
  height: 300px;
  width: 100%;
}
.img-mobile {
  height: 300px;
  width: 100%;
}

.img-custom {
  width: 100%;
}
.height-custom {
  height: 150px;
  width: 100%;
}

.img-index {
  height: 80px;
  width: 95px;
  overflow: hidden;
}

.box-shadow {
  border-radius: 5px;
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
}

.card-footer {
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

/**
 * End template
 */

/** 
 * Password Checker
 */

input.ng-pristine + ul#strength {
  display: none;
}

ul#strength {
  /*display: inline;*/
  list-style: none;
  margin: 0;
  /*margin-left: 15px;*/
  padding: 0;
  vertical-align: 2px;
}

.point:last {
  margin: 0 !important;
}

.point {
  background: #ddd;
  border-radius: 2px;
  display: inline-block;
  height: 5px;
  margin-right: 1px;
  width: 20px;
}

.point-text {
  background: #ddd;
  display: inline-block;
  height: 5px;
  margin-right: 1px;
  margin-left: 4px;
  background-color: transparent;
  font-size: 11px;
}

.help-block-sm {
  font-size: 11px;
  margin-bottom: 0px;
}

/** End Password Checker */

/**
 * Table
 */

.table td,
.table th {
  border-top: 1px solid #c8ced3;
  padding: 5px;
  font-size: 12px;
  cursor: pointer;
}

.table td,
.table th {
  vertical-align: middle;
}

.table thead tr th {
  height: 35px;
  border-bottom: 1px solid #c8ced3;
  vertical-align: middle;
}

.table-striped td {
  border-top: none;
}

/**
 * End table
 */

/**
 * Tabel Laporan
 */
.table-laporan tr {
  background-color: #e3f1f31f;
  border-bottom: none;
}

.table-laporan td {
  border: none !important;
}

.table-laporan tbody + tbody {
  border-top: none;
}

.table-laporan tbody tr:nth-of-type(odd) {
  background-color: rgba(57, 143, 163, 0.12);
}

.table-laporan thead tr {
  background-color: #398fa3;
  color: white;
}

.table-laporan tbody tr th {
  background-color: #398fa3;
  color: white;
}

.table-laporan tfoot tr {
  background-color: #398fa3;
  color: white;
}

.header-laporan {
  margin: 0px;
  margin-bottom: 10px;
  font-size: 18px;
  font-weight: bold;
}

.content-center {
  text-align: center;
}

.header-laporan-wrapper {
  margin-bottom: 15px;
  margin-top: 15px;
  color: #525252;
}

.table-laporan thead tr th {
  border-bottom: none;
  border-top: none;
  vertical-align: middle;
  height: auto;
}

/**
 * End tabel laporan
 */

/**
 * Sweet alert
 */

.swal2-popup .swal2-title {
  font-size: 20px;
}

.swal2-popup #swal2-content {
  font-size: 16px;
  text-align: center;
}

/**
 * Medium
 */

.medium-editor-toolbar li button {
  min-width: 35px !important;
  height: 35px !important;
  padding: 5px !important;
}

.card-header strong {
  font-size: 14px;
}

.card-header strong {
  font-size: 14px;
}

.card-header-white {
  background-color: #fff;
  border-bottom: 1px solid #e4e5e6;
}

.hidden {
  display: none;
}

.app-editor {
  margin-top: 0 !important;
}

.container-editor {
  max-width: 100% !important;
  margin: 0 !important;
  padding: 0 !important;
}

.title-content {
  width: 100%;
  margin-bottom: 0.5rem;
  border: none;
  height: 2rem;
  line-height: 2rem;
  background: transparent;
  border-bottom: 1px solid #ccc;
  font-size: x-large;
  outline: 0;
}

.content {
  font-size: 1rem !important;
}

.content p {
  font-size: 1rem;
  margin-bottom: 1rem;
}

.content li {
  font-size: 1rem;
}

.content p img {
  margin-bottom: 0rem;
}

.content img {
  width: 50%;
  margin: auto;
  height: auto;
  text-align: center;
  display: block;
  margin-bottom: 1rem !important;
}

.content blockquote,
.content p,
.content span,
.content ul {
  margin: 0;
  margin-bottom: 1rem;
  overflow: hidden;
}

.content blockquote {
  background: #f9f9f9;
  border-left: 10px solid #afafaf;
  margin-bottom: 1rem;
  padding: 0.5rem 1rem;
  quotes: "\201C""\201D""\2018""\2019";
}

.content blockquote:before {
  color: #ccc;
  content: open-quote;
  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.25em;
  vertical-align: -0.4em;
}

.content blockquote p {
  display: inline;
  margin: 0px;
}

.content br {
  margin: 1rem;
  overflow: hidden;
}

.content h2,
.content h3,
.content h4 {
  margin: 0;
  margin-bottom: 0.5rem;
  overflow: hidden;
}

.content h2 {
  font-size: 2.5rem;
}

.content h3 {
  font-size: 2rem;
}

.content h4 {
  font-size: 1.5rem;
}

.content a {
  color: #23527c;
  text-decoration: none;
}
